## 1.83. setmovesequence_int( integer, integer )

Function Properties
Language: PLPGSQL
Return Type: integer

    declare
    	p_seq_id			alias for $1;
    	p_new_set_id		alias for $2;
    begin
    	-- ----
    	-- Grab the central configuration lock
    	-- ----
    	lock table sl_config_lock;

    	-- ----
    	-- Move the sequence to the new set
    	-- ----
    	update sl_sequence
    			set seq_set = p_new_set_id
    			where seq_id = p_seq_id;

    	return p_seq_id;
    end;